# Class BasicTextUI.BasicHighlighter

java.lang.Object
javax.swing.text.LayeredHighlighter
javax.swing.text.DefaultHighlighter
javax.swing.plaf.basic.BasicTextUI.BasicHighlighter

All Implemented Interfaces:
  `UIResource, Highlighter`

Enclosing class:
  `BasicTextUI`

public static class BasicTextUI.BasicHighlighter extends DefaultHighlighter implements UIResource
Default implementation of the interface `Highlighter`.

## Nested Class Summary

### Nested classes/interfaces declared in class DefaultHighlighter

`DefaultHighlighter.DefaultHighlightPainter`
Modifier and Type
Class
Description
`static class`
`DefaultHighlighter.DefaultHighlightPainter`
Simple highlight painter that fills a highlighted area with a solid color.

### Nested classes/interfaces declared in class LayeredHighlighter

`LayeredHighlighter.LayerPainter`
Modifier and Type
Class
Description
`static class`
`LayeredHighlighter.LayerPainter`
Layered highlight renderer.

### Nested classes/interfaces declared in interface Highlighter

`Highlighter.Highlight, Highlighter.HighlightPainter`
Modifier and Type
Interface
Description
`static interface`
`Highlighter.Highlight`
A highlight.
`static interface`
`Highlighter.HighlightPainter`
Highlight renderer.

## Field Summary

### Fields declared in class DefaultHighlighter

`DefaultPainter`
Modifier and Type
Field
Description
`static final LayeredHighlighter.LayerPainter`
`DefaultPainter`
Default implementation of LayeredHighlighter.LayerPainter that can be used for painting highlights.

## Constructor Summary

Constructors
Constructor
Description
`BasicHighlighter()`
Constructs a `BasicHighlighter`.

## Method Summary

### Methods declared in class DefaultHighlighter

`addHighlight, changeHighlight, deinstall, getDrawsLayeredHighlights, getHighlights, install, paint, paintLayeredHighlights, removeAllHighlights, removeHighlight, setDrawsLayeredHighlights`
Modifier and Type
Method
Description
`Object`
`addHighlight(int p0, int p1, Highlighter.HighlightPainter p)`
Adds a highlight to the view.
`void`
`changeHighlight(Object tag, int p0, int p1)`
Changes a highlight.
`void`
`deinstall(JTextComponent c)`
Called when the UI is being removed from the interface of a JTextComponent.
`boolean`
`getDrawsLayeredHighlights()`
Return the draw layered highlights.
`Highlighter.Highlight[]`
`getHighlights()`
Makes a copy of the highlights.
`void`
`install(JTextComponent c)`
Called when the UI is being installed into the interface of a JTextComponent.
`void`
`paint(Graphics g)`
Renders the highlights.
`void`
`paintLayeredHighlights(Graphics g, int p0, int p1, Shape viewBounds, JTextComponent editor, View view)`
When leaf Views (such as LabelView) are rendering they should call into this method.
`void`
`removeAllHighlights()`
Removes all highlights.
`void`
`removeHighlight(Object tag)`
Removes a highlight from the view.
`void`
`setDrawsLayeredHighlights(boolean newValue)`
If true, highlights are drawn as the Views draw the text.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### BasicHighlighter

public BasicHighlighter()
Constructs a `BasicHighlighter`.